// xlatflds.cpp : implementation file
//

#include "stdafx.h"
#include "dbdiplom.h"
#include "xlatflds.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DXlatFldsRecordset

IMPLEMENT_DYNAMIC(DXlatFldsRecordset, CRecordset)

DXlatFldsRecordset::DXlatFldsRecordset(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(DXlatFldsRecordset)
	m_SETUPID = 0;
	m_FIELDORDER = 0;
	m_DEST_FIELD = "";
	m_DEST_TYPE = "";
	m_DEST_LEN = 0;
	m_SRC_FIELD = "";
	m_SRC_TYPE = "";
	m_SRC_LEN = 0;
	m_CONV_RULE = "";
	m_CONV_DATA = "";
	m_nFields = 10;
	//}}AFX_FIELD_INIT
}


CString DXlatFldsRecordset::GetDefaultConnect()
{
	return "ODBC;DSN=FoxPro 2.0;";
}

CString DXlatFldsRecordset::GetDefaultSQL()
{
	return "XLATFLDS";
}

void DXlatFldsRecordset::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(DXlatFldsRecordset)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Double(pFX, "SETUPID", m_SETUPID);
	RFX_Double(pFX, "FIELDORDER", m_FIELDORDER);
	RFX_Text(pFX, "DEST_FIELD", m_DEST_FIELD);
	RFX_Text(pFX, "DEST_TYPE", m_DEST_TYPE);
	RFX_Double(pFX, "DEST_LEN", m_DEST_LEN);
	RFX_Text(pFX, "SRC_FIELD", m_SRC_FIELD);
	RFX_Text(pFX, "SRC_TYPE", m_SRC_TYPE);
	RFX_Double(pFX, "SRC_LEN", m_SRC_LEN);
	RFX_Text(pFX, "CONV_RULE", m_CONV_RULE);
	RFX_Text(pFX, "CONV_DATA", m_CONV_DATA);
	//}}AFX_FIELD_MAP
}
