// setngrec.cpp : implementation file
//

#include "stdafx.h"
#include "dbdiplom.h"
#include "setngrec.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DSettingsRecordset

IMPLEMENT_DYNAMIC(DSettingsRecordset, CRecordset)

DSettingsRecordset::DSettingsRecordset(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(DSettingsRecordset)
	m_SETUPID = 0;
	m_SETUPDESC = "";
	m_SRC_CONN = "";
	m_SRC_PATH = "";
	m_SRCSQLSVR = FALSE;
	m_SRC_SERVR = "";
	m_SRC_DB = "";
	m_SRC_USERID = "";
	m_SRC_PWD = "";
	m_SRC_TABLE = "";
	m_DEST_CONN = "";
	m_DEST_PATH = "";
	m_DESTSQLSVR = FALSE;
	m_DEST_SERVR = "";
	m_DEST_DB = "";
	m_DESTUSERID = "";
	m_DEST_PWD = "";
	m_DEST_TABLE = "";
	m_SRC_SQL = "";
	m_nFields = 19;
	//}}AFX_FIELD_INIT
}


CString DSettingsRecordset::GetDefaultConnect()
{
	return "ODBC;DSN=FoxPro 2.0;";
}

CString DSettingsRecordset::GetDefaultSQL()
{
	return "SETTINGS";
}

void DSettingsRecordset::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(DSettingsRecordset)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Double(pFX, "SETUPID", m_SETUPID);
	RFX_Text(pFX, "SETUPDESC", m_SETUPDESC);
	RFX_Text(pFX, "SRC_CONN", m_SRC_CONN);
	RFX_Text(pFX, "SRC_PATH", m_SRC_PATH);
	RFX_Bool(pFX, "SRCSQLSVR", m_SRCSQLSVR);
	RFX_Text(pFX, "SRC_SERVR", m_SRC_SERVR);
	RFX_Text(pFX, "SRC_DB", m_SRC_DB);
	RFX_Text(pFX, "SRC_USERID", m_SRC_USERID);
	RFX_Text(pFX, "SRC_PWD", m_SRC_PWD);
	RFX_Text(pFX, "SRC_TABLE", m_SRC_TABLE);
	RFX_Text(pFX, "DEST_CONN", m_DEST_CONN);
	RFX_Text(pFX, "DEST_PATH", m_DEST_PATH);
	RFX_Bool(pFX, "DESTSQLSVR", m_DESTSQLSVR);
	RFX_Text(pFX, "DEST_SERVR", m_DEST_SERVR);
	RFX_Text(pFX, "DEST_DB", m_DEST_DB);
	RFX_Text(pFX, "DESTUSERID", m_DESTUSERID);
	RFX_Text(pFX, "DEST_PWD", m_DEST_PWD);
	RFX_Text(pFX, "DEST_TABLE", m_DEST_TABLE);
	RFX_Text(pFX, "SRC_SQL", m_SRC_SQL);
	//}}AFX_FIELD_MAP
}
