// setngrec.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// DSettingsRecordset recordset

class DSettingsRecordset : public CRecordset
{
public:
	DSettingsRecordset(CDatabase* pDatabase = NULL);

// Field/Param Data
	//{{AFX_FIELD(DSettingsRecordset, CRecordset)
	double	m_SETUPID;
	CString	m_SETUPDESC;
	CString	m_SRC_CONN;
	CString	m_SRC_PATH;
	BOOL	m_SRCSQLSVR;
	CString	m_SRC_SERVR;
	CString	m_SRC_DB;
	CString	m_SRC_USERID;
	CString	m_SRC_PWD;
	CString	m_SRC_TABLE;
	CString	m_DEST_CONN;
	CString	m_DEST_PATH;
	BOOL	m_DESTSQLSVR;
	CString	m_DEST_SERVR;
	CString	m_DEST_DB;
	CString	m_DESTUSERID;
	CString	m_DEST_PWD;
	CString	m_DEST_TABLE;
	CString	m_SRC_SQL;
	//}}AFX_FIELD


// Implementation
protected:
	virtual CString GetDefaultConnect();	// Default connection string
	virtual CString GetDefaultSQL(); 	// Default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);	// RFX support
	DECLARE_DYNAMIC(DSettingsRecordset)
};

