// SETTYPES.H -- Simple classes used to manage settings.
#if !defined(_SETTYPES_H)
	#define _SETTYPES_H
            
class DBSETTINGS
{
public:
   CString DlgCaption;
   CString CONN;
   CString PATH;
   int SQLSVR;
   CString DB;
   CString SERVR;
   CString USERID;
   CString PWD;
   CString TABLE;        
   
   DBSETTINGS(void) { Clear(); }
   void Clear(void);
};  

class SETTINGSINFO
{
public:
   int SETUPID; 
   CString SETUPDESC; 
   CString SRC_CONN;
   CString SRC_PATH;
   int SRCSQLSVR;
   CString SRC_SERVR;
   CString SRC_DB;
   CString SRC_USERID;
   CString SRC_PWD;
   CString SRC_TABLE;
   CString DEST_CONN;
   CString DEST_PATH;
   int DESTSQLSVR;
   CString DEST_SERVR;
   CString DEST_DB;
   CString DESTUSERID;
   CString DEST_PWD;
   CString DEST_TABLE;
   CString SRC_SQL;

	SETTINGSINFO(void) { Clear(); }
	void Clear(void);
};   

class XLATFLDS
{ 
public:
   int SETUPID;
   int FIELDORDER;
   CString DEST_FIELD;
   CString DEST_TYPE;
   int DEST_LEN;
   CString SRC_FIELD;
   CString SRC_TYPE;
   int SRC_LEN;
   CString CONV_RULE;
   CString CONV_DATA;
   
   XLATFLDS(void) { Clear(); };
   void Clear(void);
};

#endif


