// TOOLS.H -- Tool helper functions / macros that can be used anywhere.
#if !defined(_INLINES_H)                                   
	#define _INLINES_H
                                  
inline void ShowWaitCursor(void)
{
	::SetCursor(LoadCursor(NULL, IDC_WAIT));
}	

inline void ShowArrowCursor(void)
{
 	::SetCursor(LoadCursor(NULL, IDC_ARROW));
}

LPSTR ToStr(int n);
                      
DBDiplomatDoc *GetDoc(void);
void SetDoc(DBDiplomatDoc *pDoc);
                      
BOOL IsNumberType (int nType);

BOOL IsNumberTypeStr (CString& szType);   

BOOL IsTextType (int nType);

BOOL OpenDatabase(CDatabase& DB, CString& szConnect, int bReportErrors = TRUE);
                            
#endif                       